
import spacy
from spacy import displacy
from spacy.tokens import Doc

def visualize_dependency_tree(doc: Doc):
    """
    This function takes a spaCy Doc object and visualizes its dependency tree.
    """
    displacy.render(doc, style='dep', jupyter=True)



